#ifndef INC_TMP1075_H_
#define INC_TMP1075_H_

#include "stm32f3xx_hal.h"
#include <stdint.h>

#define N_CELLS        16
#define N_TEMP_SENSORS 8

extern int16_t tmp1075_temps[N_TEMP_SENSORS];
HAL_StatusTypeDef tmp1075_init(I2C_HandleTypeDef* hi2c);
HAL_StatusTypeDef tmp1075_measure();
HAL_StatusTypeDef tmp1075_sensor_init(int n);
HAL_StatusTypeDef tmp1075_sensor_read(int n, int16_t* res);

#endif // INC_TMP1075_H_
